Package com.sun.jna.platform.win32

## Class OaIdl.DESCKIND

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.DESCKIND

Direct Known Subclasses:
  `OaIdl.DESCKIND.ByReference`

Enclosing interface:
  OaIdl

    @FieldOrder("value")
    public static class OaIdl.DESCKIND
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.DESCKIND.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`static int` `DESCKIND_FUNCDESC`
`static int` `DESCKIND_IMPLICITAPPOBJ`
`static int` `DESCKIND_MAX`
`static int` `DESCKIND_NONE`
`static int` `DESCKIND_TYPECOMP`
`static int` `DESCKIND_VARDESC`
`int` `value`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`DESCKIND()`
`DESCKIND​(int value)`
`DESCKIND​(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### value

    public int value

#### DESCKIND_NONE

    public static final int DESCKIND_NONE

See Also:
  Constant Field Values

#### DESCKIND_FUNCDESC

    public static final int DESCKIND_FUNCDESC

See Also:
  Constant Field Values

#### DESCKIND_VARDESC

    public static final int DESCKIND_VARDESC

See Also:
  Constant Field Values

#### DESCKIND_TYPECOMP

    public static final int DESCKIND_TYPECOMP

See Also:
  Constant Field Values

#### DESCKIND_IMPLICITAPPOBJ

    public static final int DESCKIND_IMPLICITAPPOBJ

See Also:
  Constant Field Values

#### DESCKIND_MAX

    public static final int DESCKIND_MAX

See Also:
  Constant Field Values

### Constructor Detail

#### DESCKIND

    public DESCKIND()

#### DESCKIND

    public DESCKIND​(int value)

#### DESCKIND

    public DESCKIND​(Pointer pointer)